set   autoscale                        # scale axes automatically
unset log                              # remove any log-scaling
unset label                            # remove any previous labels
set style line 1 lc rgb 'grey30' ps 0 lt 1 lw 2
set style line 2 lc rgb 'grey70' lt 1 lw 2
set style fill solid 1.0 border rgb 'grey30'
set label '*' at 3,0.8 center
set label '*' at 4,0.8 center
set border 3
#set grid xtics
set grid ytics
#set grid mxtics
#set grid mytics
set ytic auto                          # set ytics automatically
#set xtics rotate by 90 right norangelimit
set xtics rotate by -55 offset -1.5,-0.0
set bmargin 8.0
#set lmargin at screen 0.20
#set rmargin at screen 0.85
set xtics font "helvetica, 18"# textcolor rgb "red"
set ytics font "helvetica, 18"
set title font "helvetica, 18"
set ylabel font "helvetica, 18"
set xlabel font "helvetica, 18"
set title "Latency for messages of 56 bytes" tc rgb "black"
#set xlabel "Message size (in bytes)" tc rgb "black"
set xlabel " "
set ylabel "Time (in ms)" tc rgb "black"
hashes = 'KECCAK256 KECCAK512 BLAKE256 SHA256 RIPEMD160 BLAKE512 SHA512 SHA1 MD5'
index(s) = words(substr(hashes, 0, strstrt(hashes, s)-1)) + 1
set linetype 1 lc rgb 'blue'
set linetype 2 lc rgb 'blue'
set linetype 3 lc rgb 'blue'
set linetype 4 lc rgb 'red'
set linetype 5 lc rgb 'red'
set linetype 6 lc rgb 'blue'
set linetype 7 lc rgb 'red'
set linetype 8 lc rgb 'red'
set linetype 9 lc rgb 'red'
set boxwidth 0.65
set terminal postscript eps enhanced color solid
set output 'new_xeonQ_graph_hash_bars_v2.eps'
unset key
set label 13 "White bars: standard implementation" at 4.9, 0.00465 front nopoint tc lt 0
set label 12 "Red bars: OpenSSL implementation"  at 4.9, 0.00435 front nopoint tc lt 4
plot "new_xeonQ_graph_hash_bars_v3_1.dat" u 0:2:(index(strcol(1))):xtic(1) title "non-OpenSSL" w boxes linecolor variable fs pattern 8, "new_xeonQ_graph_hash_bars_v3_2.dat" u 0:2:(index(strcol(1))):xtic(1) title "OpenSSL" w boxes linecolor variable fs pattern 6
