set   autoscale                        # scale axes automatically
unset log                              # remove any log-scaling
unset label                            # remove any previous labels
set style line 1 lc rgb 'grey30' ps 0 lt 1 lw 2
set style line 2 lc rgb 'grey70' lt 1 lw 2
set style fill solid 1.0 border rgb 'grey30'
set label '*' at 3,0.8 center
set label '*' at 4,0.8 center
set border 3
#set xtics nomirror scale 0
#set ytics nomirror out scale 0.75 0.5
set xtic auto                          # set xtics automatically
set ytic auto                          # set ytics automatically
set title "Perceived communication costs"
set xlabel "Number of forwarding devices"
set ylabel "Accumulated latency (ms)"
# set key 0.01,100
# "set label "Yield Point" at 0.003,260
# set arrow from 0.0028,250 to 0.003,280
# set yrange [50:1600]
# set xrange [0:256]
set logscale x
# set xrange [2:256]
#set xtic (10, 20, 40, 80, 100)
set xtics font "helvetica, 18"
set ytics font "helvetica, 18"
set title font "helvetica, 18"
set ylabel font "helvetica, 18"
set xlabel font "helvetica, 18"
set key font "helvetica, 18"
set key spacing 1.5 samplen 2 left top
set key width 4
set terminal postscript eps enhanced color
# set yrange [ 0 : .004426 ]
set output 'comm_c3_4xlarge.eps'
plot     "comm_c3_4xlarge.tcp.56.dat" using 1:2:xtic(1) title 'TCP.56' with linespoints lw 6 ps 2 , \
    "comm_c3_4xlarge.tcp.32.dat" using 1:2:xtic(1) title 'TCP.32' with linespoints lw 6 ps 2 , \
    "comm_c3_4xlarge.openssl.56.dat" using 1:2:xtic(1) title 'OpenSSL.56' with linespoints lw 6 ps 2 , \
    "comm_c3_4xlarge.openssl.32.dat" using 1:2:xtic(1) title 'OpenSSL.32' with linespoints lw 6 ps 2 , \
    "comm_c3_4xlarge.polarssl.56.dat" using 1:2:xtic(1) title 'PolarSSL.56' with linespoints lw 6 ps 2 , \
    "comm_c3_4xlarge.polarssl.32.dat" using 1:2:xtic(1) title 'PolarSSL.32' with linespoints lw 6 ps 2
