set   autoscale                        # scale axes automatically
unset log                              # remove any log-scaling
unset label                            # remove any previous labels
set style line 1 lc rgb 'grey30' ps 0 lt 1 lw 2
set style line 2 lc rgb 'grey70' lt 1 lw 2
set style fill solid 1.0 border rgb 'grey30'
set label '*' at 3,0.8 center
set label '*' at 4,0.8 center
set border 3
set xtic auto                          # set xtics automatically
set ytic auto                          # set ytics automatically
#set title "Perceived connection latency"
set xlabel "Number of forwarding devices"
set ylabel "Setup time (ms)"
set logscale x
set logscale y
set xtics font "helvetica, 20"
set ytics font "helvetica, 20"
set title font "helvetica, 20"
set ylabel font "helvetica, 20"
set xlabel font "helvetica, 20"
set key font "helvetica, 20"
set key spacing 1.7 samplen 2 left top
set key width 4
set terminal postscript eps enhanced color solid
# set yrange [ 0 : .004426 ]
set output 'conn_c3_4xlarge_graph.eps'
plot     "conn_c3_4xlarge.tcp.56.dat" using 1:2:xtic(1) title 'TCP' with linespoints lw 4 ps 3 , \
    "conn_c3_4xlarge.openssl.56.dat" using 1:2:xtic(1) title 'OpenSSL' with linespoints lw 4 ps 3 , \
    "conn_c3_4xlarge.polarssl.56.dat" using 1:2:xtic(1) title 'PolarSSL' with linespoints lw 4 ps 3 , \
