set   autoscale                        # scale axes automatically
unset log                              # remove any log-scaling
unset label                            # remove any previous labels
set style line 1 lc rgb 'grey30' ps 0 lt 1 lw 2
set style line 2 lc rgb 'grey70' lt 1 lw 2
set style fill solid 1.0 border rgb 'grey30'
set label '*' at 3,0.8 center
set label '*' at 4,0.8 center
set border 3
set xtic auto                          # set xtics automatically
set ytic auto                          # set ytics automatically
#set title "Perceived communication latency"
set xlabel "Number of forwarding devices"
set ylabel "Accumulated latency (s)"
set logscale x
set logscale y
# set xrange [2:256]
# set xtic (1, 2, 4, 8, 16, 32, 64, 128, 256)
set xtics font "helvetica, 20"
set ytics font "helvetica, 20"
set title font "helvetica, 20"
set ylabel font "helvetica, 20"
set xlabel font "helvetica, 20"
set key font "helvetica, 20"
set key spacing 1.4 samplen 2 center right
set key width 8
set terminal postscript eps enhanced color solid
# set yrange [ 0 : .004426 ]
set output 'xeonq_comm_32b_56b_graph.eps'
plot     "xeonq_tcp_comm_tcp_32_graph.dat" using 1:($2/1000.):xtic(1) title 'PACKET-IN.TCP' with linespoints lw 4 ps 3 , \
    "xeonq_tcp_comm_tcp_56_graph.dat" using 1:($2/1000.):xtic(1) title 'FLOW-MOD.TCP' with linespoints lw 4 ps 3 , \
    "xeonq_openssl_comm_openssl_32_graph.dat" using 1:($2/1000.):xtic(1) title 'PACKET-IN.OpenSSL' with linespoints lw 4 ps 3 , \
    "xeonq_openssl_comm_openssl_56_graph.dat" using 1:($2/1000.):xtic(1) title 'FLOW-MOD.OpenSSL' with linespoints lt rgb '#FFA500' lw 4 ps 3 , \
    "xeonq_polarssl_comm_polarssl_32_graph.dat" using 1:($2/1000.):xtic(1) title 'PACKET-IN.PolarSSL' with linespoints lt rgb '#7e2f8e' lw 4 ps 3, \
    "xeonq_polarssl_comm_polarssl_56_graph.dat" using 1:($2/1000.):xtic(1) title 'FLOW-MOD.PolarSSL' with linespoints lt rgb '#A0522D' lw 4 ps 3
